## xorg-lts-trusty 7.7+1ubuntu8~precise1

=== debian/changelog ===
xorg-lts-trusty (1:7.7+1ubuntu8~precise1) precise-proposed; urgency=low

  * Initial lts-trusty upload, i386/amd64 only. (LP: #1318616)

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Thu, 15 May 2014 12:46:30 +0200

xorg (1:7.7+1ubuntu8) trusty; urgency=low

  [ Bryce Harrington ]
  * scripts/vars.arm*: Don't include -ati or -nouveau, to save
    installation space.  The drivers build for some arm targets, but no
    known devices actually work with them.

  [ Christopher James Halse Rogers ]
  * Drop libgl1-mesa-glx, -dri, and libglu from armhf; these are highly likely
    to be useless on an armhf system.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Wed, 29 Jan 2014 16:07:39 +0100

xorg (1:7.7+1ubuntu7) trusty; urgency=medium

  * Just depend on xserver-xorg-video-dummy on ppc64el.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 18 Dec 2013 12:11:13 +0100

xorg (1:7.7+1ubuntu6) saucy; urgency=low

  * Just depend on xserver-xorg-video-dummy on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 10 Oct 2013 15:56:36 +0200

xorg (1:7.7+1ubuntu5) raring; urgency=low

  * Allow xserver-xorg-core-omap-revert and xserver-xorg-video-omap-revert to
    satisfy depends on armhf.
    - Allows building a custom armhf server there.

 -- Maarten Lankhorst <maarten.lankhorst@ubuntu.com>  Tue, 07 May 2013 16:29:10 +0200

xorg (1:7.7+1ubuntu4) quantal; urgency=low

  [ Maarten Lankhorst ]
  * scripts/vars.i386: Remove xserver-xorg-video-geode from -video-all.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 02 Oct 2012 16:56:32 +0300

xorg (1:7.7+1ubuntu3) quantal; urgency=low

  * remove xserver-xorg-video-cirrus from armel and hf
  * add xserver-xorg-video-modesetting to armel and armhf
  * add xserver-xorg-video-omap to armel and armhf
  * Update debian/copyright to refer to new address:
    - Fixes lintian old-fsf-address-in-copyright-file

 -- Maarten Lankhorst <maarten.lankhorst@canonical.com>  Thu, 23 Aug 2012 19:23:35 +0200

xorg (1:7.7+1ubuntu2) quantal; urgency=low

  * scripts/vars.{amd64,i386}: Add xserver-xorg-video-modesetting to
    XSERVER_XORG_VIDEO_DEPENDS. (LP: #1039648)

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 21 Aug 2012 21:08:18 +0300

xorg (1:7.7+1ubuntu1) quantal; urgency=low

  [ Maarten Lankhorst ]
  * Merge from Debian unstable, remaining changes:
    - Add apport hook
    - Demote xfonts-{75DPI,100DPI} to Suggests. Demote xfonts-scalable to
      Recommends.
    - debian/local/Xsession:
      Truncate xsession-errors on startup if too big
    - debian/local/Xsession.d/20x11-common_process-args:
      Add support for session command containing args.
    - debian/local/Xsession.d/60x11-common_localhost:
      Authorise all processes running with the user's credentials to connect
      to the server.
    - debian/local/Xsession.d/60x11-common_xdg_path:
      Add session script to set xdg path depending on the selected session.
    - debian/rules, debian/control:
      Add dependencies on x11-common, since pkgbinarymangler moves the docs
      there to save some space on the image.
    - debian/scripts/vars.*:
      + Don't drop wacom from input-all.
      + Add -vmmouse to input-all for amd64 and i386.
      + Add -qxl to video-all for amd64 and i386.
      + Add -geode to video-all for i386.
      + Drop video drivers that are likely irrelevant for ARM.
      + Drop apm, ark, chips, i128, i740, rendition, s3virge, tseng, voodoo
        from xserver-xorg-video-all dependencies. They are unmaintained and
        obsolete.
    - debian/x11-common.{preinst,postinst,postrm}.in:
      Clean up the old failsafe-x files.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Tue, 03 Jul 2012 16:06:54 +0300

xorg (1:7.7+1) unstable; urgency=low

  * Merge xsf-docs up to 6b4a944090 commit:
    - index: Improve wording.
    - faq/general: Add a reference to how to build mesa.
    - howto/build-mesa: Update the section about nouveau.
    - howto/use-gdb: Mention new gdm3 setting (thanks to Joss).
    - reference/dependencies: Add how to handle transitions.
    - reference/squeeze-backports: Update for current situation.

 -- Cyril Brulebois <kibi@debian.org>  Mon, 25 Jun 2012 22:40:14 +0200

xorg (1:7.6+13) unstable; urgency=high

  [ Julien Cristau ]
  * Drop debian/scripts/debconf-updatepo, it looks like we're not using it
    anymore.
  * Update debian/copyright to
    - add missing copyright statements
    - add missing license notes
    - not pretend the Debian and Ubuntu packages have different copyright
      status; parts of the package are copyright Canonical, others are
      copyright by various Debian folks.
    Still unclear if the "Copyright Software in the Public Interest, Inc."
    bits make sense, so leave them in for now.
    Closes: #630830.

  [ Cyril Brulebois ]
  * Drop some videos drivers from the xserver-xorg-video-all meta package
    on ia64, they were dropped following the domain I/O support code removal
    in X server 1.12.
  * Set urgency to “high” for the ongoing xorg transition.

 -- Cyril Brulebois <kibi@debian.org>  Fri, 11 May 2012 12:24:22 +0200

xorg (1:7.6+12ubuntu1) precise; urgency=low

  * Merge from Debian unstable.

 -- Timo Aaltonen <tjaalton@ubuntu.com>  Thu, 22 Mar 2012 19:42:07 +0200

xorg (1:7.6+12) unstable; urgency=high

  * Fix unsafe manipulation of /tmp/.X11-unix and /tmp/.ICE-unix in the
    x11-common init script.  A malicious user could trick us into changing
    ownership/permissions of an arbitrary directory, and elevate their
    privileges (closes: #661627).  Reference: CVE-2012-1093.  Thanks to
    "vladz", Tim Morgan and Bernhard R. Link for their help getting this right
    (any remaining bugs are my own).

 -- Julien Cristau <jcristau@debian.org>  Sat, 03 Mar 2012 18:54:30 +0100

xorg (1:7.6+11) unstable; urgency=low

  * Team upload.
  * debian/local/Xsession.d/35x11-common_xhost-local: add a new script 
    to the default X session. It will give access to the running X 

