=== debian/control ===
Source: xorg-lts-trusty
Section: x11
Priority: optional
Maintainer: Ubuntu X-SWAT <ubuntu-x@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Drew Parsons <dparsons@debian.org>, Cyril Brulebois <kibi@debian.org>
Standards-Version: 3.9.2
Build-Depends:
 dpkg (>= 1.16.1),
 debhelper (>= 7.3.15ubuntu3),
 po-debconf,
# xsf-docs:
 asciidoc,
Vcs-Git: git://git.debian.org/git/pkg-xorg/debian/xorg
Vcs-Browser: http://git.debian.org/?p=pkg-xorg/debian/xorg.git

#Package: x11-common
#Architecture: all
#Multi-Arch: foreign
#Depends: ${misc:Depends}, lsb-base (>= 1.3-9ubuntu2)
#Description: X Window System (X.Org) infrastructure
# x11-common contains the filesystem infrastructure required for further
# installation of the X Window System in any configuration; it does not
# provide a full installation of clients, servers, libraries, and utilities
# required to run the X Window System.
# .
# A number of terms are used to refer to the X Window System, including "X",
# "X Version 11", "X11", "X11R6", and "X11R7".  The version of X used in
# Debian is derived from the version released by the X.Org Foundation, and
# is thus often also referred to as "X.Org".  All of the preceding quoted
# terms are functionally interchangeable in an Debian system.

Package: xserver-xorg-lts-trusty
Architecture: amd64 i386
Depends:
 xserver-xorg-core-lts-trusty (>= 2:1.11) | xserver-xorg-core-omap-revert [armhf],
 xserver-xorg-video-all-lts-trusty  | xserver-xorg-video-omap-revert [armhf] | xorg-driver-video,
 xserver-xorg-input-all-lts-trusty | xorg-driver-input,
 xserver-xorg-input-evdev-lts-trusty [linux-any],
 hal (>= 0.5.14-4~) [kfreebsd-any],
 ${shlibs:Depends},
 ${misc:Depends},
 xkb-data (>= 1.4),
 x11-xkb-utils
Recommends:
 libgl1-mesa-dri-lts-trusty, libgl1-mesa-glx-lts-trusty, linux-generic-lts-trusty, xserver-xorg-input-all-lts-trusty, xserver-xorg-video-all-lts-trusty, x11-xserver-utils-lts-trusty,
Provides:
 xserver-xorg, xorg-renamed-package, xorg-renamed-package-lts-trusty,
 xserver, xserver-xorg-renamed
Description: X.Org X server
 This package depends on the full suite of the server and drivers for the
 X.Org X server.  It does not provide the actual server itself.
Replaces: xserver-xorg
Conflicts: xserver-xorg, libxatracker1 (>= 0~), libgbm1 (>= 0~), libegl1-mesa (>= 0~), libegl1-mesa-drivers (>= 0~), libopenvg1-mesa (>= 0~), libgles1-mesa (>= 0~), libgles2-mesa (>= 0~), libglapi-mesa (>= 0~), libgl1-mesa-glx (>= 0~), libgl1-mesa-dri (>= 0~), libgl1-mesa-dri-experimental (>= 0~), xserver-xorg-core (>= 0~), xserver-xorg-dev (>= 0~), xserver-xorg-video-all (>= 0~), xserver-xorg-input-all (>= 0~), xorg-renamed-package-lts-quantal, xorg-renamed-package-lts-raring, xorg-renamed-package-lts-saucy,

Package: xserver-xorg-video-all-lts-trusty
Architecture: amd64 i386
Depends:
 ${F:XServer-Xorg-Video-Depends},
 ${misc:Depends},
Recommends:
 ${F:XServer-Xorg-Video-Recommends},
Replaces:
 xserver-xorg-video-all,
 xserver-xorg-driver-all
Conflicts:
 xserver-xorg-video-all,
 xserver-xorg-driver-all
Description: X.Org X server -- output driver metapackage
 This package depends on the full suite of output drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.
Provides: xserver-xorg-video-all, xorg-renamed-package, xorg-renamed-package-lts-trusty

Package: xserver-xorg-input-all-lts-trusty
Architecture: amd64 i386
Depends:
 ${F:XServer-Xorg-Input-Depends},
 ${misc:Depends},
Recommends:
 ${F:XServer-Xorg-Input-Recommends},
Description: X.Org X server -- input driver metapackage
 This package depends on the full suite of input drivers for the X.Org X server
 (Xorg).  It does not provide any drivers itself, and may be removed if you wish
 to only have certain drivers installed.
Replaces: xserver-xorg-input-all
Provides: xserver-xorg-input-all, xorg-renamed-package, xorg-renamed-package-lts-trusty
Conflicts: xserver-xorg-input-all

#Package: xorg
#Architecture: amd64 i386
#Depends:
# xserver-xorg (>= ${binary:Version}),
# libgl1-mesa-glx | libgl1 [!armhf],
# libgl1-mesa-dri [!armhf],
# libglu1-mesa [!armhf],
# xfonts-base (>= 1:1.0.0-1),
# x11-apps,
# x11-session-utils,
# x11-utils,
# x11-xfs-utils,
# x11-xkb-utils,
# x11-xserver-utils,
# xauth,
# xinit,
# xfonts-utils,
# xkb-data,
# xorg-docs-core,
# xterm | x-terminal-emulator,
# ${misc:Depends},
# x11-common,
# xinput,
#Recommends:
# xfonts-scalable (>= 1:1.0.0-1),
#Provides: x-window-system, x-window-system-core
#Suggests: xorg-docs,
# xfonts-100dpi (>= 1:1.0.0-1),
# xfonts-75dpi (>= 1:1.0.0-1)
#Description: X.Org X Window System
# This metapackage provides the components for a standalone
# workstation running the X Window System.  It provides the X libraries, an X
# server, a set of fonts, and a group of basic X clients and utilities.
# .
# Higher level metapackages, such as those for desktop environments, can
# depend on this package and simplify their dependencies.
# .
# It should be noted that a package providing x-window-manager should also
# be installed to ensure a comfortable X experience.

#Package: xorg-dev
#Architecture: all
#Depends:
# libdmx-dev,
# libfontenc-dev,
# libfs-dev,
# libice-dev,
# libsm-dev,
# libx11-dev,
# libxau-dev,
# libxaw7-dev,
# libxcomposite-dev,
# libxcursor-dev,
# libxdamage-dev,
# libxdmcp-dev,
# libxext-dev,
# libxfixes-dev,
# libxfont-dev,
# libxft-dev,
# libxi-dev,
# libxinerama-dev,
# libxkbfile-dev,
# libxmu-dev,
# libxmuu-dev,
# libxpm-dev,
# libxrandr-dev,
# libxrender-dev,
# libxres-dev,
# libxss-dev,
# libxt-dev,
# libxtst-dev,
# libxv-dev,
# libxvmc-dev,
# libxxf86dga-dev,
# libxxf86vm-dev,
# x11proto-bigreqs-dev,
# x11proto-composite-dev,
# x11proto-core-dev,
# x11proto-damage-dev,
# x11proto-dmx-dev,
# x11proto-fixes-dev,
# x11proto-fonts-dev,
# x11proto-gl-dev,
# x11proto-input-dev,
# x11proto-kb-dev,
# x11proto-randr-dev,
# x11proto-record-dev,
# x11proto-render-dev,
# x11proto-resource-dev,
# x11proto-scrnsaver-dev,
# x11proto-video-dev,
# x11proto-xcmisc-dev,
# x11proto-xext-dev,
# x11proto-xf86bigfont-dev,
# x11proto-xf86dga-dev,
# x11proto-xf86dri-dev,
# x11proto-xf86vidmode-dev,
# x11proto-xinerama-dev,
# xserver-xorg-dev,
# xtrans-dev,
# ${misc:Depends},
# x11-common,
#Description: X.Org X Window System development libraries
# This metapackage provides the development libraries for the X.Org X Window
# System.
# .
# X Window System design documentation, manual pages, library reference
# works, static versions of the shared libraries, and C header files are
# supplied by the packages depended on by this metapackage.
# .
# Note that this is a convenience package for users and is not a package for
# Debian developers to have their package depend on.

#Package: xbase-clients
#Section: x11
#Architecture: all
#Depends:
# x11-apps,
# x11-session-utils,
# x11-utils,
# x11-xfs-utils,
# x11-xkb-utils,
# x11-xserver-utils,
# xauth,
# xinit,
# ${misc:Depends},
# x11-common,
#Description: miscellaneous X clients - metapackage
# An X client is a program that interfaces with an X server (almost always via
# the X libraries), and thus with some input and output hardware like a
# graphics card, monitor, keyboard, and pointing device (such as a mouse).
# .
# This package provides a miscellaneous assortment of several dozen X clients
# that ship with the X Window System.
# .
# This package is provided for transition from earlier Debian releases, the
# programs formerly in xutils and xbase-clients having been split out in smaller
# packages.

#Package: xutils
#Section: x11
#Architecture: all
#Depends:
# x11-xfs-utils,
# x11-utils,
# x11-xserver-utils,
# x11-session-utils,
# xfonts-utils,
# ${misc:Depends},
# x11-common,
#Description: X Window System utility programs metapackage
# xutils provides a set of utility programs shipped with the X Window System.
# Many of these programs are useful even on a system that does not have any X
# clients or X servers installed.
# .
# This package is provided for transition from earlier Debian releases, the
# programs formerly in xutils and xbase-clients having been split out in smaller
# packages.
